.block-title {
  &.quiz {
    padding: 76px 0;
    text-align: center;
    background: #fef8f5;

    @media screen and (max-width: 768px) {
      padding: 46px 16px;
      font-size: 30px;
      line-height: 41px;
    }
  }
}

.quiz-block {
  .quiz-block-inner {
    display: flex;
    flex-direction: column;
    align-items: center;

    .quiz-main {
      max-width: 600px;
      width: 100%;

      .start-block {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 64px;
        margin-bottom: 242px;

        .title {
          font-size: 24px;
          line-height: 149%;
          margin-bottom: 12px;
          text-align: center;
        }

        .subtitle {
          font-size: 16px;
          line-height: 149%;
          margin-bottom: 32px;
        }
      }

      .steps-block {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 82px;
        margin-bottom: 160px;

        .step-title {
          font-size: 24px;
          line-height: 149%;
          margin-bottom: 16px;
        }

        .quiz-list {
          width: 100%;
          margin-bottom: 16px;
          .list-item {
            background: #f5f5f5;
            width: 100%;
            margin-bottom: 8px;
            padding: 12px 32px;

            &:last-of-type {
              margin-bottom: 0;
            }
          }
        }

        .pages {
          display: flex;
          align-items: center;

          .back-button {
            width: 16px;
            height: 16px;
            margin-right: 32px;
            svg {
              path {
                transition: 0.23s;
              }
            }

            &:hover {
              svg {
                path {
                  fill: #2d2d2d;
                }
              }
            }
          }

          .current-page {
            font-size: 16px;
            line-height: 149%;
          }
        }
      }

      .send-mail-block {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 82px;
        margin-bottom: 204px;

        .title {
          font-size: 24px;
          line-height: 149%;
          margin-bottom: 12px;
        }

        .subtitle {
          font-size: 16px;
          line-height: 149%;
          margin-bottom: 16px;
        }

        form {
          display: flex;
          flex-direction: column;
          align-items: center;

          input {
            width: 280px;
            border: 1px solid #dadada;
            border-radius: 3px;
            margin-bottom: 24px;
          }
        }
      }

      .result-block {
        margin-top: 64px;
        margin-bottom: 160px;
        display: flex;
        flex-direction: column;
        align-items: center;

        .title {
          max-width: 528px;
          width: 100%;
          height: 36px;
          font-size: 24px;
          line-height: 149%;
          display: flex;
          justify-content: center;
          align-items: center;
          margin-bottom: 16px;
        }

        .result-image {
          width: 507px;
          height: 287px;
          margin-bottom: 16px;

          img {
            width: 100%;
            height: 100%;
            object-fit: cover;
          }
        }

        .result-text-warpper {
          align-self: flex-start;
          margin-bottom: 24px;

          .short-result {
            font-size: 16px;
            line-height: 149%;
            margin-bottom: 16px;
          }

          .result-desc {
            font-size: 16px;
            line-height: 149%;
          }
        }

        .black-button {
          margin-bottom: 24px;
        }

        .social-info {
          font-size: 12px;
          line-height: 16px;
          letter-spacing: 0.7px;
          margin-bottom: 24px;
        }
      }
    }

    .advantages-wrapper {
      margin-bottom: 32px;
    }
  }

  @media screen and (max-width: 768px) {
    .quiz-block-inner {
      .quiz-main {
        .start-block {
          margin-top: 24px;
          margin-bottom: 80px;

          .title {
            text-align: center;
            font-size: 16px;
            line-height: 149%;
            margin-bottom: 16px;
          }

          .subtitle {
            font-size: 14px;
            line-height: 149%;
            text-align: center;
            margin-bottom: 32px;
          }
        }

        .steps-block {
          margin: 24px 0 80px;

          .step-title {
            font-size: 16px;
            line-height: 149%;
          }

          .quiz-list {
            .list-item {
              padding: 8px 16px 8px 8px;

              .link {
                font-size: 14px;
                line-height: 149%;
              }
            }
          }

          .pages {
            .back-button {
              margin-right: 17px;
            }
          }
        }

        .send-mail-block {
          margin-top: 24px;
          margin-bottom: 80px;

          .title {
            text-align: center;
            font-size: 16px;
            line-height: 149%;
            margin-bottom: 16px;
          }

          .subtitle {
            text-align: center;
            font-size: 14px;
            line-height: 149%;
          }

          form {
            width: 288px;
            input {
              width: 100%;
              margin-bottom: 12px;
            }

            .black-button {
              width: 100%;
            }
          }
        }

        .result-block {
          margin-top: 24px;
          margin-bottom: 80px;

          .title {
            font-size: 16px;
            line-height: 149%;
            margin-bottom: 16px;
          }

          .result-image {
            width: 100%;
            height: auto;
            margin-bottom: 16px;
          }

          .result-text-warpper {
            .result-desc {
              font-size: 14px;
              line-height: 149%;
            }
          }
        }
      }
    }
  }
}
